Bug 27728 - Add a search box on OPAC search history
Summary: Add a search box on OPAC search history
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-19 08:35 UTC by Séverine Queune
Modified: 2021-05-25 13:25 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
This new enhancement adds a search box to the OPAC search history. It also adds options to copy, export as CSV, and print search history data.
Version(s) released in:
21.05.00


Attachments
Bug 27728: Add a search box on OPAC Search history (10.08 KB, patch)
2021-02-19 12:55 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27728: Add a search box on OPAC Search history (10.12 KB, patch)
2021-02-19 23:11 UTC, David Nind
Details | Diff | Splinter Review
Bug 27728: Add a search box on OPAC Search history (10.18 KB, patch)
2021-03-04 13:50 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Séverine Queune 2021-02-19 08:35:22 UTC
A useful feature would be to add a search box in /cgi-bin/koha/opac-search-history.pl
It would allow patrons to search on used keywords, dates, etc. to compare different search results, or them for suppression, etc.
Comment 1 Owen Leonard 2021-02-19 12:55:41 UTC
Created attachment 117083 [details] [review]
Bug 27728: Add a search box on OPAC Search history

This patch makes changes to the OPAC search history DataTables
configuration so that table controls appear, including search, copy,
CSV, and print.

The patch also makes some improvements to the checkbox interactions: The
date column is now a label for the checkbox, and the "Remove selected
searched" button is now disabled until a checkbox has been checked.

To test, apply the patch and log into the OPAC as a user with a search
history. If possible, past and current searches of both bibliographic
and authority records.

- On the search history page, confirm that the DataTables controls
  appear above each table: "Current" and "Previous" under both the
  "Catalog" and "Authority" tabs.
- All controls should work correctly and affect only the corresponding
  table: Search, Clear filter, Copy, CSV, and Print.
- Confirm that clicking a date in the date column checks the correct
  checkbox.
- Confirm that toggling a checkbox correctly enables and disables the
  "Remove selected searches" button as well as the "Select searches to:"
  menu at the top of the table.
Comment 2 David Nind 2021-02-19 23:11:29 UTC
Created attachment 117103 [details] [review]
Bug 27728: Add a search box on OPAC Search history

This patch makes changes to the OPAC search history DataTables
configuration so that table controls appear, including search, copy,
CSV, and print.

The patch also makes some improvements to the checkbox interactions: The
date column is now a label for the checkbox, and the "Remove selected
searched" button is now disabled until a checkbox has been checked.

To test, apply the patch and log into the OPAC as a user with a search
history. If possible, past and current searches of both bibliographic
and authority records.

- On the search history page, confirm that the DataTables controls
  appear above each table: "Current" and "Previous" under both the
  "Catalog" and "Authority" tabs.
- All controls should work correctly and affect only the corresponding
  table: Search, Clear filter, Copy, CSV, and Print.
- Confirm that clicking a date in the date column checks the correct
  checkbox.
- Confirm that toggling a checkbox correctly enables and disables the
  "Remove selected searches" button as well as the "Select searches to:"
  menu at the top of the table.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2021-03-04 13:50:26 UTC
Created attachment 117724 [details] [review]
Bug 27728: Add a search box on OPAC Search history

This patch makes changes to the OPAC search history DataTables
configuration so that table controls appear, including search, copy,
CSV, and print.

The patch also makes some improvements to the checkbox interactions: The
date column is now a label for the checkbox, and the "Remove selected
searched" button is now disabled until a checkbox has been checked.

To test, apply the patch and log into the OPAC as a user with a search
history. If possible, past and current searches of both bibliographic
and authority records.

- On the search history page, confirm that the DataTables controls
  appear above each table: "Current" and "Previous" under both the
  "Catalog" and "Authority" tabs.
- All controls should work correctly and affect only the corresponding
  table: Search, Clear filter, Copy, CSV, and Print.
- Confirm that clicking a date in the date column checks the correct
  checkbox.
- Confirm that toggling a checkbox correctly enables and disables the
  "Remove selected searches" button as well as the "Select searches to:"
  menu at the top of the table.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-03-09 10:00:25 UTC
Search for 'a' then 'b' and filter on "span" and see: https://snipboard.io/Lx6VTt.jpg

Maybe it's a global issue (if so reset to PQA).
Comment 5 Jonathan Druart 2021-03-09 10:01:25 UTC
Yes it is.
Comment 6 Jonathan Druart 2021-03-09 10:02:42 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 7 Fridolin Somers 2021-03-12 08:53:27 UTC
New feature not pushed to 20.11.x
Comment 8 Katrin Fischer 2021-05-24 22:08:46 UTC
I feel like this reads more like an enhancement as we use this table functionalities in a lot of places already.